Did I find the right examples for you? yes no      Crawl my project      Python Jobs

All Samples(5)  |  Call(5)  |  Derive(0)  |  Import(0)

src/r/h/rhinopython-HEAD/scripts/rhinoscript/geometry.py   rhinopython(Download)
    def __objectbbox(object, xform):
        geom = rhutil.coercegeometry(object, False)
        if not geom:
            pt = rhutil.coerce3dpoint(object, True)
            return Rhino.Geometry.BoundingBox(pt,pt)

src/l/a/ladybug-HEAD/src/Ladybug_SolarFan.py   ladybug(Download)
        for point in _baseSrfMeshed.Vertices:
            points.append(rc.Geometry.Point3d(point))
        baseSrfBBox = rc.Geometry.BoundingBox(points)
        baseSrfBox = rc.Geometry.Box(baseSrfBBox)
        # from the bounding box dimnesions, deriva a point to be used to generate the intersection plane.

src/l/a/ladybug-HEAD/src/Ladybug_SolarEnvelope.py   ladybug(Download)
        for point in _baseSrfMeshed.Vertices:
            points.append(rc.Geometry.Point3d(point))
        baseSrfBBox = rc.Geometry.BoundingBox(points)
        baseSrfBox = rc.Geometry.Box(baseSrfBBox)
        # from the bounding box dimnesions, deriva a point to be used to generate the intersection plane.

src/r/h/rhinopython-HEAD/scripts/rhinoscript/utility.py   rhinopython(Download)
def coerceboundingbox(bbox, raise_on_bad_input=False):
    if type(bbox) is Rhino.Geometry.BoundingBox: return bbox
    points = coerce3dpointlist(bbox)
    if points: return Rhino.Geometry.BoundingBox(points)
    if raise_on_bad_input: raise TypeError("%s can not be converted to a BoundingBox"%bbox)

src/r/h/rhinopythonscripts-HEAD/Make2D.py   rhinopythonscripts(Download)
        ptList.append(obj.Geometry.PointAtStart)
        ptList.append(obj.Geometry.PointAtEnd)
    bbx = Rhino.Geometry.BoundingBox(ptList)
    doc.Views.ActiveView.ActiveViewport.ZoomBoundingBox(bbx)